// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Ide.Gui.OptionPanels {
    
    
    public partial class IDEStyleOptionsPanelWidget {
        
        private Gtk.VBox vbox13;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label1;
        
        private Gtk.ComboBox toolbarCombobox;
        
        private Gtk.CheckButton documentSwitcherButton;
        
        private Gtk.Frame frame1;
        
        private Gtk.Alignment GtkAlignment;
        
        private Gtk.VBox vbox1;
        
        private Gtk.CheckButton hiddenButton;
        
        private Gtk.Label GtkLabel7;
        
        private Gtk.Frame frame2;
        
        private Gtk.Alignment GtkAlignment1;
        
        private Gtk.HBox hbox2;
        
        private Gtk.CheckButton fontCheckbox;
        
        private Gtk.FontButton fontButton;
        
        private Gtk.Label GtkLabel6;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget";
            // Container child MonoDevelop.Ide.Gui.OptionPanels.IDEStyleOptionsPanelWidget.Gtk.Container+ContainerChild
            this.vbox13 = new Gtk.VBox();
            this.vbox13.Name = "vbox13";
            this.vbox13.Spacing = 6;
            // Container child vbox13.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("_Toolbar icon size:");
            this.label1.UseUnderline = true;
            this.hbox1.Add(this.label1);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.hbox1[this.label1]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.toolbarCombobox = Gtk.ComboBox.NewText();
            this.toolbarCombobox.AppendText(Mono.Unix.Catalog.GetString("Smallest"));
            this.toolbarCombobox.AppendText(Mono.Unix.Catalog.GetString("Small"));
            this.toolbarCombobox.AppendText(Mono.Unix.Catalog.GetString("Large"));
            this.toolbarCombobox.Name = "toolbarCombobox";
            this.toolbarCombobox.Active = 1;
            this.hbox1.Add(this.toolbarCombobox);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.toolbarCombobox]));
            w2.Position = 1;
            w2.Expand = false;
            w2.Fill = false;
            this.vbox13.Add(this.hbox1);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox13[this.hbox1]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child vbox13.Gtk.Box+BoxChild
            this.documentSwitcherButton = new Gtk.CheckButton();
            this.documentSwitcherButton.CanFocus = true;
            this.documentSwitcherButton.Name = "documentSwitcherButton";
            this.documentSwitcherButton.Label = Mono.Unix.Catalog.GetString("_Enable document switch dialog");
            this.documentSwitcherButton.DrawIndicator = true;
            this.documentSwitcherButton.UseUnderline = true;
            this.vbox13.Add(this.documentSwitcherButton);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox13[this.documentSwitcherButton]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox13.Gtk.Box+BoxChild
            this.frame1 = new Gtk.Frame();
            this.frame1.Name = "frame1";
            this.frame1.ShadowType = ((Gtk.ShadowType)(0));
            // Container child frame1.Gtk.Container+ContainerChild
            this.GtkAlignment = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment.Name = "GtkAlignment";
            this.GtkAlignment.LeftPadding = ((uint)(12));
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.hiddenButton = new Gtk.CheckButton();
            this.hiddenButton.Name = "hiddenButton";
            this.hiddenButton.Label = Mono.Unix.Catalog.GetString("S_how hidden files and directories");
            this.hiddenButton.DrawIndicator = true;
            this.hiddenButton.UseUnderline = true;
            this.vbox1.Add(this.hiddenButton);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox1[this.hiddenButton]));
            w5.Position = 0;
            w5.Expand = false;
            w5.Fill = false;
            this.GtkAlignment.Add(this.vbox1);
            this.frame1.Add(this.GtkAlignment);
            this.GtkLabel7 = new Gtk.Label();
            this.GtkLabel7.Name = "GtkLabel7";
            this.GtkLabel7.LabelProp = Mono.Unix.Catalog.GetString("<b>File Scout</b>");
            this.GtkLabel7.UseMarkup = true;
            this.frame1.LabelWidget = this.GtkLabel7;
            this.vbox13.Add(this.frame1);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.vbox13[this.frame1]));
            w8.Position = 2;
            w8.Expand = false;
            w8.Fill = false;
            // Container child vbox13.Gtk.Box+BoxChild
            this.frame2 = new Gtk.Frame();
            this.frame2.Name = "frame2";
            this.frame2.ShadowType = ((Gtk.ShadowType)(0));
            // Container child frame2.Gtk.Container+ContainerChild
            this.GtkAlignment1 = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment1.Name = "GtkAlignment1";
            this.GtkAlignment1.LeftPadding = ((uint)(12));
            // Container child GtkAlignment1.Gtk.Container+ContainerChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.fontCheckbox = new Gtk.CheckButton();
            this.fontCheckbox.Name = "fontCheckbox";
            this.fontCheckbox.Label = Mono.Unix.Catalog.GetString("_Use a different font for pads:");
            this.fontCheckbox.Active = true;
            this.fontCheckbox.DrawIndicator = true;
            this.fontCheckbox.UseUnderline = true;
            this.hbox2.Add(this.fontCheckbox);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.hbox2[this.fontCheckbox]));
            w9.Position = 0;
            w9.Expand = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.fontButton = new Gtk.FontButton();
            this.fontButton.Name = "fontButton";
            this.hbox2.Add(this.fontButton);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox2[this.fontButton]));
            w10.Position = 1;
            w10.Expand = false;
            w10.Fill = false;
            this.GtkAlignment1.Add(this.hbox2);
            this.frame2.Add(this.GtkAlignment1);
            this.GtkLabel6 = new Gtk.Label();
            this.GtkLabel6.Name = "GtkLabel6";
            this.GtkLabel6.LabelProp = Mono.Unix.Catalog.GetString("<b>Pad options</b>");
            this.GtkLabel6.UseMarkup = true;
            this.frame2.LabelWidget = this.GtkLabel6;
            this.vbox13.Add(this.frame2);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox13[this.frame2]));
            w13.Position = 3;
            w13.Expand = false;
            w13.Fill = false;
            this.Add(this.vbox13);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.label1.MnemonicWidget = this.toolbarCombobox;
            this.Show();
        }
    }
}
